function zoommove
% ZOOMMOVE Used by ZOOMTOOL to move nearest cursor to mouse
%           pointer on a WindowButtonMove event after ZOOMDOWN.
%
%       See also ZOOMCLR ZOOMDOWN ZOOMLEFT ZOOMMENU ZOOMMOVE
%           ZOOMPKLF ZOOMPKRT ZOOMRGHT ZOOMSET ZOOMTGGL ZOOMTOOL
%           ZOOMUP ZOOMXFUL ZOOMXIN ZOOMXOUT ZOOMYFUL ZOOMYIN
%           ZOOMYOUT

%       Dennis W. Brown 1-10-94
%       Copyright (c) 1994 by Dennis W. Brown
%       May be freely distributed.
%       Not for use in commercial products.

gf = gcf; ga = gca;

global zoom_hy zoom_y zoom_cursor zoom_xfactor zoom_xxlim zoom_xmin

% Obtain coordinates of mouse click location in axes units
pt = get(ga,'Currentpoint');
t = pt(1,1);

% check to see if move will go past axis limits
if t <= zoom_xxlim(1)+100*eps, t = zoom_xxlim(1); end;
if t >= zoom_xxlim(2)-100*eps, t = zoom_xxlim(2); end;

% current index
k = round((t-zoom_xmin)/zoom_xfactor) + 1;
if k < 1
   k=1;
end
if k > length(zoom_y)
   k=length(zoom_y);
end

% current point locations
cv = (k-1) * zoom_xfactor + zoom_xmin;
ch = zoom_y(k);
% (k==round(cv/zoom_xfactor)) = 1

% move cursor to mouse click location
if zoom_cursor == 1,
    crsrmove(ga,1001,cv);
    %disp('zoommove')
    crsrmove(ga,1002,ch);
else
    crsrmove(ga,2001,cv);
    %disp('zoommove')
    crsrmove(ga,2002,ch);
end;